Bug 1007165 - pm-hibernate runs most of the script but lets a blank screen and cursor blinking at the upper left corner [NEEDINFO]
pm-hibernate runs most of the script but lets a blank screen and cursor blink...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 00:25 EDT by Valmir Parisi
Modified: 2014-03-10 10:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:40:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
output of lsinitrd, rpm_q_dracut. proc_cmdline, crupttab, fstab, proc_swaps and pm-utils-bugreport-info.sh (13.35 KB, application/gzip)
2013-09-12 00:25 EDT, Valmir Parisi
no flags Details
Output of pm-utils-bugreport-info.sh (12.59 KB, text/plain)
2013-10-05 16:26 EDT, Valmir Parisi
no flags Details

  None (edit)
Description Valmir Parisi 2013-09-12 00:25:12 EDT
Created attachment 796611 [details]
output of lsinitrd, rpm_q_dracut. proc_cmdline, crupttab, fstab, proc_swaps and pm-utils-bugreport-info.sh

Description of problem:

pm-hibernate runs most of the script but lets a blank screen and cursor blinking at the upper left corner, but it's not able to power off the computer.

I'm  running 3.10.10-200.fc19.x86_64 and pm-utils-1.4.1-24.fc19.x86_64.

From pm-utils-bugreport-info.sh you can see:
...
...
Running hook /usr/lib64/pm-utils/sleep.d/99video hibernate hibernate:
/usr/lib64/pm-utils/sleep.d/99video hibernate hibernate: success.

Tue Sep 10 19:25:42 BRT 2013: performing hibernate
/usr/lib64/pm-utils/pm-functions: line 323: echo: write error: No such device
Tue Sep 10 19:25:54 BRT 2013: Awake.
Tue Sep 10 19:25:54 BRT 2013: Running hooks for thaw
Running hook /usr/lib64/pm-utils/sleep.d/99video thaw hibernate:
/usr/lib64/pm-utils/sleep.d/99video thaw hibernate: success.
...
...

Version-Release number of selected component (if applicable):
3.10.10-200.fc19.x86_64 and pm-utils-1.4.1-24.fc19.x86_64

How reproducible:
Just pm-hibernate and you will notice what I described above

Additional info:
Attaching output of lsinitrd, rpm_q_dracut. proc_cmdline, crupttab, fstab, proc_swaps and pm-utils-bugreport-info.sh
Comment 1 Jaroslav Škarvada 2013-09-18 11:42:14 EDT
This looks like kernel. I think it should hibernate to the swap file correctly (the resume is more tricky), but the kernel refused to do it - it's the line 323 with the 'echo disk > /sys/power/state', reassigning to kernel.
Comment 2 Josh Boyer 2013-09-18 16:23:06 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Valmir Parisi 2013-10-05 16:26:13 EDT
Created attachment 808243 [details]
Output of pm-utils-bugreport-info.sh
Comment 4 Valmir Parisi 2013-10-05 16:29:23 EDT
I´m already running 3.11.3-201.fc19.x86_64 and the error still persists:

Running hook /usr/lib64/pm-utils/sleep.d/99video hibernate hibernate:
/usr/lib64/pm-utils/sleep.d/99video hibernate hibernate: success.

Fri Oct  4 19:15:06 BRT 2013: performing hibernate
/usr/lib64/pm-utils/pm-functions: line 323: echo: write error: No such device
Fri Oct  4 19:15:29 BRT 2013: Awake.
Fri Oct  4 19:15:29 BRT 2013: Running hooks for thaw
Running hook /usr/lib64/pm-utils/sleep.d/99video thaw hibernate:
/usr/lib64/pm-utils/sleep.d/99video thaw hibernate: success.

I attached the output of pm-utils-bugreport-info.sh for your reference.
Comment 5 Justin M. Forbes 2014-01-03 17:04:18 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2014-03-10 10:40:19 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.